package de.ivu.elect.interfaces.core.internet;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;

@XmlAccessorType(XmlAccessType.FIELD)
public class InternetSeite  implements Serializable {

  @XmlElement(required = true)
  private Long position;

  @XmlElement(required = true)
  private String seitenTypAsString; // kein enum, zu aufwendig bei neuerung

  @XmlElement(required = true)
  private InternetSeiteStatus status;

  @XmlElement(required = false)
  private String titel;

  @XmlElement(required = false)
  private String beschreibung;

  @XmlElement(required = true)
  private String customDataXml;

  @XmlElementWrapper(name = "internetWidgets", nillable = false, required = true)
  @XmlElement(required = false, name = "internetWidget", nillable = true)
  private List<InternetWidget> internetWidgets = new ArrayList<>();

  public Long getPosition() {
    return position;
  }

  public void setPosition(Long position) {
    this.position = position;
  }

  public String getSeitenTypAsString() {
    return seitenTypAsString;
  }

  public void setSeitenTypAsString(String seitenTypAsString) {
    this.seitenTypAsString = seitenTypAsString;
  }

  public InternetSeiteStatus getStatus() {
    return status;
  }

  public void setStatus(InternetSeiteStatus status) {
    this.status = status;
  }

  public String getTitel() {
    return titel;
  }

  public void setTitel(String titel) {
    this.titel = titel;
  }

  public String getBeschreibung() {
    return beschreibung;
  }

  public void setBeschreibung(String beschreibung) {
    this.beschreibung = beschreibung;
  }

  public List<InternetWidget> getInternetWidgets() {
    return internetWidgets;
  }

  public void setInternetWidgets(List<InternetWidget> internetWidgets) {
    this.internetWidgets = internetWidgets;
  }

  public String getCustomDataXml() {
    return customDataXml;
  }

  public void setCustomDataXml(String customDataXml) {
    this.customDataXml = customDataXml;
  }
}
